#pragma once
#include "../Window.h"


namespace YoggieEngine {
	class Win32Window : public NativeWindow {
	public:
		Win32Window(const int width, const int height, const char* title);
		~Win32Window();

		bool WindowShouldClose();

		void setViewPort(int width, int height);
		void Poll();
		void SwapBuffers();

		void* GetHandle();
		

	private:
		void SetContext();
		bool m_vsync; 
		bool m_resizable;
		bool m_fullscreen;
		int m_width;
		int m_height;


	};

}
