#pragma once
#include <GLFW/glfw3.h>
#include "../Window.h"

namespace YoggieEngine {

	class glfwWindow : public NativeWindow {
		
	public:
		glfwWindow(const int width, const int height, const char* title);
		~glfwWindow();
		
		bool WindowShouldClose() override;
		void Poll() override;
		void SwapBuffers() override;
		void* GetHandle() override;
		void SetViewPort(int width, int height) override;

	private:
		void SetContext() override;
	
	private: 
		// GLFW specific 
		GLFWwindow* window;



	};
}